$cellHeight: 42px;

.app-header-cell {
  margin: 0;
  padding: 7px 1.2em 0 1.2em;
  height: $cellHeight;
}

@mixin thCellStyles {
  height: $cellHeight !important;
  padding: 0 !important;
}

.e-headercell, .e-rowcell {
  @include thCellStyles;
  .e-headercelldiv, .e-rowcell {
    @include thCellStyles;
    width: 100%;
    position: relative;
    margin: 0 !important;
  }
}

.e-sortfilterdiv {
  position: absolute;
  right: 1px;
  top: 29px;
}

.app-row-cell {
  height: 100%;
  padding: 7px 1.2em 0 1.2em;
  overflow: hidden;
}

.e-treecolumn-container {
  height: $cellHeight;
  position: relative;
  span {
    //position: absolute;
  }
  .e-treecell {
    width: 100%;
    height: $cellHeight;
    .app-row-cell {
      padding: 7px 2.2em 0 2.2em;
    }
  }
  .e-treegridexpand, .e-treegridcollapse {
    position: absolute;
    left: 5px;
    top: 3px;
    z-index: 100;
  }

  .e-treecell {
    position: absolute;
    left: 0px;
  }
}
